org.encog.app.analyst.script.prop

## Class ScriptProperties

- java.lang.Object
- - org.encog.app.analyst.script.prop.ScriptProperties

-     public class ScriptProperties
      extends Object

  Holds all of the properties for a script. Constants are provided to define "well known" properties.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `BALANCE_CONFIG_BALANCE_FIELD` Property for: "BALANCE:CONFIG_balanceField".
    `static String` | `BALANCE_CONFIG_COUNT_PER` Property for: "BALANCE:CONFIG_countPer".
    `static String` | `BALANCE_CONFIG_SOURCE_FILE` Property for: "BALANCE:CONFIG_sourceFile".
    `static String` | `BALANCE_CONFIG_TARGET_FILE` Property for: "BALANCE:CONFIG_targetFile".
    `static String` | `CLUSTER_CONFIG_CLUSTERS` Property for: "CLUSTER:CONFIG_clusters".
    `static String` | `CLUSTER_CONFIG_SOURCE_FILE` Property for: "CLUSTER:CONFIG_sourceFile".
    `static String` | `CLUSTER_CONFIG_TARGET_FILE` Property for: "CLUSTER:CONFIG_targetFile".
    `static String` | `CLUSTER_CONFIG_TYPE` Property for: "CLUSTER:CONFIG_type".
    `static String` | `CODE_CONFIG_EMBED_DATA` Property for: "GENERATE:CONFIG_embedData".
    `static String` | `CODE_CONFIG_TARGET_FILE` Property for: "GENERATE:CONFIG_targetFile".
    `static String` | `CODE_CONFIG_TARGET_LANGUAGE` Property for: "GENERATE:CONFIG_targetLanguage".
    `static String` | `DATA_CONFIG_GOAL` Property for: "DATA:CONFIG_goal".
    `static String` | `GENERATE_CONFIG_SOURCE_FILE` Property for: "GENERATE:CONFIG_sourceFile".
    `static String` | `GENERATE_CONFIG_TARGET_FILE` Property for: "GENERATE:CONFIG_targetFile".
    `static String` | `HEADER_DATASOURCE_RAW_FILE` Property for: "HEADER:DATASOURCE_rawFile".
    `static String` | `HEADER_DATASOURCE_SOURCE_FILE` Property for: "HEADER:DATASOURCE_sourceFile".
    `static String` | `HEADER_DATASOURCE_SOURCE_HEADERS` Property for: "HEADER:DATASOURCE_sourceHeaders".
    `static String` | `ML_CONFIG_ARCHITECTURE` Property for: "ML:CONFIG_architecture".
    `static String` | `ML_CONFIG_EVAL_FILE` Property for: "ML:CONFIG_evalFile".
    `static String` | `ML_CONFIG_MACHINE_LEARNING_FILE` Property for: "ML:CONFIG_machineLearningFile".
    `static String` | `ML_CONFIG_OUTPUT_FILE` Property for: "ML:CONFIG_outputFile".
    `static String` | `ML_CONFIG_QUERY` Property for "ML:CONFIG_query"
    `static String` | `ML_CONFIG_TRAINING_FILE` Property for: "ML:CONFIG_trainingFile".
    `static String` | `ML_CONFIG_TYPE` Property for: = ML:CONFIG_type".
    `static String` | `ML_TRAIN_ARGUMENTS` Property for: "ML:TRAIN_arguments".
    `static String` | `ML_TRAIN_CROSS` Property for: "ML:TRAIN_cross".
    `static String` | `ML_TRAIN_TARGET_ERROR` Property for: "ML:TRAIN_targetError".
    `static String` | `ML_TRAIN_TYPE` Property for: "ML:TRAIN_type".
    `static String` | `NORMALIZE_CONFIG_SOURCE_FILE` Property for: "NORMALIZE:CONFIG_sourceFile".
    `static String` | `NORMALIZE_CONFIG_TARGET_FILE` Property for: "NORMALIZE:CONFIG_targetFile".
    `static String` | `NORMALIZE_MISSING_VALUES` Property for: "NORMALIZE:CONFIG_missingValues".
    `static String` | `PROCESS_CONFIG_BACKWARD_SIZE` Property for: "PROCESS:CONFIG,backwardSize".
    `static String` | `PROCESS_CONFIG_FORWARD_SIZE` Property for: "PROCESS:CONFIG,forwardSize".
    `static String` | `PROCESS_CONFIG_SOURCE_FILE` Property for: "PROCESS:CONFIG,sourceFile".
    `static String` | `PROCESS_CONFIG_TARGET_FILE` Property for: "PROCESS:CONFIG,targetFile".
    `static String` | `RANDOMIZE_CONFIG_SOURCE_FILE` Property for: "RANDOMIZE:CONFIG_sourceFile".
    `static String` | `RANDOMIZE_CONFIG_TARGET_FILE` Property for: "RANDOMIZE:CONFIG_targetFile".
    `static String` | `SEGREGATE_CONFIG_SOURCE_FILE` Property for: "SEGREGATE:CONFIG_sourceFile".
    `static String` | `SETUP_CONFIG_ALLOWED_CLASSES` Property for: = "SETUP:CONFIG_allowedClasses".
    `static String` | `SETUP_CONFIG_CSV_FORMAT` Property for: "SETUP:CONFIG_csvFormat".
    `static String` | `SETUP_CONFIG_INPUT_HEADERS` Property for: "SETUP:CONFIG_inputHeaders".
    `static String` | `SETUP_CONFIG_MAX_CLASS_COUNT` Property for: "SETUP:CONFIG_maxClassCount".

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScriptProperties()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearFilenames()` Clear out all filenames.
    `String` | `getFilename(String file)` Get a filename.
    `List<String>` | `getFilenames()` Get all filenames.
    `Object` | `getProperty(String name)` Get a property as an object.
    `boolean` | `getPropertyBoolean(String name)` Get a property as a boolean.
    `CSVFormat` | `getPropertyCSVFormat(String name)` Get a property as a format.
    `double` | `getPropertyDouble(String name)` Get a property as a double.
    `String` | `getPropertyFile(String name)` Get a property as a file.
    `AnalystFileFormat` | `getPropertyFormat(String name)` Get a property as a format.
    `int` | `getPropertyInt(String name)` Get a property as a int.
    `String` | `getPropertyString(String name)` Get a property as a string.
    `TargetLanguage` | `getPropertyTargetLanguage(String name)` Get the property as a target language.
    `URL` | `getPropertyURL(String name)` Get a property as a url.
    `void` | `performRevert(Map<String,String> revertedData)` Perform a revert.
    `Map<String,String>` | `prepareRevert()` Prepare a revert.
    `void` | `setFilename(String key, String value)` Set a filename.
    `void` | `setProperty(String name, AnalystFileFormat format)` Set the property to a format.
    `void` | `setProperty(String name, AnalystGoal value)` Set a property.
    `void` | `setProperty(String name, boolean b)` Set a property as a boolean.
    `void` | `setProperty(String name, double d)` Set a property as a double.
    `void` | `setProperty(String name, File f)` Get a property as an object.
    `void` | `setProperty(String name, int i)` Set a property to an int.
    `void` | `setProperty(String name, String value)` Set the property to the specified value.
    `void` | `setProperty(String name, TargetLanguage targetLanguage)` Set a property as a target language.
    `void` | `setProperty(String name, URL url)` Get a property as an object.
    `static String` | `toDots(String str)` Convert a key to the dot form.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### HEADER_DATASOURCE_SOURCE_FILE

          public static final String HEADER_DATASOURCE_SOURCE_FILE

      Property for: "HEADER:DATASOURCE_sourceFile".
      See Also:
        Constant Field Values

    - #### HEADER_DATASOURCE_RAW_FILE

          public static final String HEADER_DATASOURCE_RAW_FILE

      Property for: "HEADER:DATASOURCE_rawFile".
      See Also:
        Constant Field Values

    - #### HEADER_DATASOURCE_SOURCE_HEADERS

          public static final String HEADER_DATASOURCE_SOURCE_HEADERS

      Property for: "HEADER:DATASOURCE_sourceHeaders".
      See Also:
        Constant Field Values

    - #### SETUP_CONFIG_MAX_CLASS_COUNT

          public static final String SETUP_CONFIG_MAX_CLASS_COUNT

      Property for: "SETUP:CONFIG_maxClassCount".
      See Also:
        Constant Field Values

    - #### SETUP_CONFIG_ALLOWED_CLASSES

          public static final String SETUP_CONFIG_ALLOWED_CLASSES

      Property for: = "SETUP:CONFIG_allowedClasses".
      See Also:
        Constant Field Values

    - #### SETUP_CONFIG_INPUT_HEADERS

          public static final String SETUP_CONFIG_INPUT_HEADERS

      Property for: "SETUP:CONFIG_inputHeaders".
      See Also:
        Constant Field Values

    - #### SETUP_CONFIG_CSV_FORMAT

          public static final String SETUP_CONFIG_CSV_FORMAT

      Property for: "SETUP:CONFIG_csvFormat".
      See Also:
        Constant Field Values

    - #### DATA_CONFIG_GOAL

          public static final String DATA_CONFIG_GOAL

      Property for: "DATA:CONFIG_goal".
      See Also:
        Constant Field Values

    - #### NORMALIZE_CONFIG_SOURCE_FILE

          public static final String NORMALIZE_CONFIG_SOURCE_FILE

      Property for: "NORMALIZE:CONFIG_sourceFile".
      See Also:
        Constant Field Values

    - #### NORMALIZE_CONFIG_TARGET_FILE

          public static final String NORMALIZE_CONFIG_TARGET_FILE

      Property for: "NORMALIZE:CONFIG_targetFile".
      See Also:
        Constant Field Values

    - #### NORMALIZE_MISSING_VALUES

          public static final String NORMALIZE_MISSING_VALUES

      Property for: "NORMALIZE:CONFIG_missingValues".
      See Also:
        Constant Field Values

    - #### BALANCE_CONFIG_SOURCE_FILE

          public static final String BALANCE_CONFIG_SOURCE_FILE

      Property for: "BALANCE:CONFIG_sourceFile".
      See Also:
        Constant Field Values

    - #### BALANCE_CONFIG_TARGET_FILE

          public static final String BALANCE_CONFIG_TARGET_FILE

      Property for: "BALANCE:CONFIG_targetFile".
      See Also:
        Constant Field Values

    - #### BALANCE_CONFIG_BALANCE_FIELD

          public static final String BALANCE_CONFIG_BALANCE_FIELD

      Property for: "BALANCE:CONFIG_balanceField".
      See Also:
        Constant Field Values

    - #### BALANCE_CONFIG_COUNT_PER

          public static final String BALANCE_CONFIG_COUNT_PER

      Property for: "BALANCE:CONFIG_countPer".
      See Also:
        Constant Field Values

    - #### RANDOMIZE_CONFIG_SOURCE_FILE

          public static final String RANDOMIZE_CONFIG_SOURCE_FILE

      Property for: "RANDOMIZE:CONFIG_sourceFile".
      See Also:
        Constant Field Values

    - #### RANDOMIZE_CONFIG_TARGET_FILE

          public static final String RANDOMIZE_CONFIG_TARGET_FILE

      Property for: "RANDOMIZE:CONFIG_targetFile".
      See Also:
        Constant Field Values

    - #### SEGREGATE_CONFIG_SOURCE_FILE

          public static final String SEGREGATE_CONFIG_SOURCE_FILE

      Property for: "SEGREGATE:CONFIG_sourceFile".
      See Also:
        Constant Field Values

    - #### GENERATE_CONFIG_SOURCE_FILE

          public static final String GENERATE_CONFIG_SOURCE_FILE

      Property for: "GENERATE:CONFIG_sourceFile".
      See Also:
        Constant Field Values

    - #### GENERATE_CONFIG_TARGET_FILE

          public static final String GENERATE_CONFIG_TARGET_FILE

      Property for: "GENERATE:CONFIG_targetFile".
      See Also:
        Constant Field Values

    - #### ML_CONFIG_TRAINING_FILE

          public static final String ML_CONFIG_TRAINING_FILE

      Property for: "ML:CONFIG_trainingFile".
      See Also:
        Constant Field Values

    - #### ML_CONFIG_EVAL_FILE

          public static final String ML_CONFIG_EVAL_FILE

      Property for: "ML:CONFIG_evalFile".
      See Also:
        Constant Field Values

    - #### ML_CONFIG_MACHINE_LEARNING_FILE

          public static final String ML_CONFIG_MACHINE_LEARNING_FILE

      Property for: "ML:CONFIG_machineLearningFile".
      See Also:
        Constant Field Values

    - #### ML_CONFIG_OUTPUT_FILE

          public static final String ML_CONFIG_OUTPUT_FILE

      Property for: "ML:CONFIG_outputFile".
      See Also:
        Constant Field Values

    - #### ML_CONFIG_TYPE

          public static final String ML_CONFIG_TYPE

      Property for: = ML:CONFIG_type".
      See Also:
        Constant Field Values

    - #### ML_CONFIG_ARCHITECTURE

          public static final String ML_CONFIG_ARCHITECTURE

      Property for: "ML:CONFIG_architecture".
      See Also:
        Constant Field Values

    - #### ML_CONFIG_QUERY

          public static final String ML_CONFIG_QUERY

      Property for "ML:CONFIG_query"
      See Also:
        Constant Field Values

    - #### ML_TRAIN_TYPE

          public static final String ML_TRAIN_TYPE

      Property for: "ML:TRAIN_type".
      See Also:
        Constant Field Values

    - #### ML_TRAIN_ARGUMENTS

          public static final String ML_TRAIN_ARGUMENTS

      Property for: "ML:TRAIN_arguments".
      See Also:
        Constant Field Values

    - #### ML_TRAIN_TARGET_ERROR

          public static final String ML_TRAIN_TARGET_ERROR

      Property for: "ML:TRAIN_targetError".
      See Also:
        Constant Field Values

    - #### ML_TRAIN_CROSS

          public static final String ML_TRAIN_CROSS

      Property for: "ML:TRAIN_cross".
      See Also:
        Constant Field Values

    - #### CLUSTER_CONFIG_SOURCE_FILE

          public static final String CLUSTER_CONFIG_SOURCE_FILE

      Property for: "CLUSTER:CONFIG_sourceFile".
      See Also:
        Constant Field Values

    - #### CLUSTER_CONFIG_TARGET_FILE

          public static final String CLUSTER_CONFIG_TARGET_FILE

      Property for: "CLUSTER:CONFIG_targetFile".
      See Also:
        Constant Field Values

    - #### CLUSTER_CONFIG_TYPE

          public static final String CLUSTER_CONFIG_TYPE

      Property for: "CLUSTER:CONFIG_type".
      See Also:
        Constant Field Values

    - #### CLUSTER_CONFIG_CLUSTERS

          public static final String CLUSTER_CONFIG_CLUSTERS

      Property for: "CLUSTER:CONFIG_clusters".
      See Also:
        Constant Field Values

    - #### CODE_CONFIG_TARGET_LANGUAGE

          public static final String CODE_CONFIG_TARGET_LANGUAGE

      Property for: "GENERATE:CONFIG_targetLanguage".
      See Also:
        Constant Field Values

    - #### CODE_CONFIG_TARGET_FILE

          public static final String CODE_CONFIG_TARGET_FILE

      Property for: "GENERATE:CONFIG_targetFile".
      See Also:
        Constant Field Values

    - #### CODE_CONFIG_EMBED_DATA

          public static final String CODE_CONFIG_EMBED_DATA

      Property for: "GENERATE:CONFIG_embedData".
      See Also:
        Constant Field Values

    - #### PROCESS_CONFIG_SOURCE_FILE

          public static final String PROCESS_CONFIG_SOURCE_FILE

      Property for: "PROCESS:CONFIG,sourceFile".
      See Also:
        Constant Field Values

    - #### PROCESS_CONFIG_TARGET_FILE

          public static final String PROCESS_CONFIG_TARGET_FILE

      Property for: "PROCESS:CONFIG,targetFile".
      See Also:
        Constant Field Values

    - #### PROCESS_CONFIG_BACKWARD_SIZE

          public static final String PROCESS_CONFIG_BACKWARD_SIZE

      Property for: "PROCESS:CONFIG,backwardSize".
      See Also:
        Constant Field Values

    - #### PROCESS_CONFIG_FORWARD_SIZE

          public static final String PROCESS_CONFIG_FORWARD_SIZE

      Property for: "PROCESS:CONFIG,forwardSize".
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ScriptProperties

          public ScriptProperties()

  - ### Method Detail

    - #### toDots

          public static final String toDots(String str)

      Convert a key to the dot form.
      Parameters:
        `str` - The key form.
      Returns:
        The dot form.

    - #### clearFilenames

          public final void clearFilenames()

      Clear out all filenames.

    - #### getFilename

          public final String getFilename(String file)

      Get a filename.
      Parameters:
        `file` - The file.
      Returns:
        The filename.

    - #### getFilenames

          public final List<String> getFilenames()

      Get all filenames.
      Returns:
        The filenames in a list.

    - #### getProperty

          public final Object getProperty(String name)

      Get a property as an object.
      Parameters:
        `name` - The name of the property.
      Returns:
        The property value.

    - #### getPropertyBoolean

          public final boolean getPropertyBoolean(String name)

      Get a property as a boolean.
      Parameters:
        `name` - The property name.
      Returns:
        A boolean value.

    - #### getPropertyCSVFormat

          public final CSVFormat getPropertyCSVFormat(String name)

      Get a property as a format.
      Parameters:
        `name` - The property name.
      Returns:
        A format value.

    - #### getPropertyDouble

          public final double getPropertyDouble(String name)

      Get a property as a double.
      Parameters:
        `name` - The property name.
      Returns:
        A double value.

    - #### getPropertyFile

          public final String getPropertyFile(String name)

      Get a property as a file.
      Parameters:
        `name` - The property name.
      Returns:
        A file value.

    - #### getPropertyFormat

          public final AnalystFileFormat getPropertyFormat(String name)

      Get a property as a format.
      Parameters:
        `name` - The property name.
      Returns:
        A format value.

    - #### getPropertyInt

          public final int getPropertyInt(String name)

      Get a property as a int.
      Parameters:
        `name` - The property name.
      Returns:
        A int value.

    - #### getPropertyString

          public final String getPropertyString(String name)

      Get a property as a string.
      Parameters:
        `name` - The name of the property.
      Returns:
        The property value.

    - #### getPropertyURL

          public final URL getPropertyURL(String name)

      Get a property as a url.
      Parameters:
        `name` - The property name.
      Returns:
        A url value.

    - #### performRevert

          public final void performRevert(Map<String,String> revertedData)

      Perform a revert.
      Parameters:
        `revertedData` - The source data to revert from.

    - #### prepareRevert

          public final Map<String,String> prepareRevert()

      Prepare a revert.
      Returns:
        Data that can be used to revert properties.

    - #### setFilename

          public final void setFilename(String key,
                         String value)

      Set a filename.
      Parameters:
        `key` - The key.
        `value` - The value.

    - #### setProperty

          public final void setProperty(String name,
                         AnalystFileFormat format)

      Set the property to a format.
      Parameters:
        `name` - The name of the property.
        `format` - The value of the property.

    - #### setProperty

          public final void setProperty(String name,
                         AnalystGoal value)

      Set a property.
      Parameters:
        `name` - The name.
        `value` - The value.

    - #### setProperty

          public final void setProperty(String name,
                         boolean b)

      Set a property as a boolean.
      Parameters:
        `name` - The name of the property.
        `b` - The value to set.

    - #### setProperty

          public final void setProperty(String name,
                         double d)

      Set a property as a double.
      Parameters:
        `name` - The name of the property.
        `d` - The value.

    - #### setProperty

          public final void setProperty(String name,
                         File f)

      Get a property as an object.
      Parameters:
        `name` - The name of the property.
        `f` - The filename value.

    - #### setProperty

          public final void setProperty(String name,
                         int i)

      Set a property to an int.
      Parameters:
        `name` - The property name.
        `i` - The value.

    - #### setProperty

          public final void setProperty(String name,
                         String value)

      Set the property to the specified value.
      Parameters:
        `name` - The property name.
        `value` - The property value.

    - #### setProperty

          public final void setProperty(String name,
                         URL url)

      Get a property as an object.
      Parameters:
        `name` - The name of the property.
        `url` - The url of the property.

    - #### setProperty

          public final void setProperty(String name,
                         TargetLanguage targetLanguage)

      Set a property as a target language.
      Parameters:
        `name` - The name of the property.
        `targetLanguage` - The target language.

    - #### getPropertyTargetLanguage

          public final TargetLanguage getPropertyTargetLanguage(String name)

      Get the property as a target language.
      Parameters:
        `name` - The name of the property.
      Returns:
        The target language.

    - #### toString

          public final String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2014. All Rights Reserved.